#!/usr/bin/env php
<?php
define('ROOT', (basename(dirname(__DIR__)) == 'plugins') ? substr(dirname(__DIR__), 0, -strlen('plugins')) : __DIR__ . '/');
$langs = array('de', 'en', 'es', 'it', 'nl', 'oc', 'pl', 'pt', 'ro', 'ru');

$pattern = ROOT . 'core/lang/%s/%s.php';
$files = array('admin', 'core', 'install', 'update');
$tokens = array();

echo "\e[33mChecking translations in the core of PluXml from french\e[m". PHP_EOL . PHP_EOL;
echo 'Filenames as sources :' . PHP_EOL;
foreach($files as $file) {
	$filename = sprintf($pattern, 'fr', $file);
	echo $filename . PHP_EOL;
	include $filename;
	$tokens[$file] = array_keys($LANG);
}
echo PHP_EOL;

foreach($langs as $lang) {
	echo "\e[32mLanguage: $lang \e[m". PHP_EOL;
	foreach($files as $file) {
		echo 'Filename: ' . $file . '.php : ';
		include sprintf($pattern, $lang, $file);
		$diff = array_diff($tokens[$file], array_keys($LANG));
		if(count($diff) > 0) {
			echo "\e[31mmissing\e[m" . PHP_EOL . "\t";
			echo implode(PHP_EOL . "\t", $diff) . PHP_EOL;
		} else {
			echo 'Ok' . PHP_EOL;
		}
	}
	echo PHP_EOL;
}
?>
